Skip to content

Summary of devices​

GET
/users/{id}/getDeviceSummary

Lists all devices for a user, with a summary of state, including most resent points.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

TypeAPI Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

user id

Typestring
Required
Format"JSON"

Query Parameters

pointCount

Maximum number of points to return per device. Default 5.

Typestring
Format"JSON"
dateRange

What date range to consider when retrieving recent points. Typical use is [TimeOfLastPointDownload, NOW]. Defaults to all time.

Typestring
Format"JSON"
hideApprox

Don't include GSM / poor accuracy locations. Default to false.

Typestring
Format"JSON"

Responses​

Request was successful

application/json
JSON
[
{
"id": 0,
"name": "string",
"serial": "string",
"type": "string",
"latestPoints": [
{
"location": {
"lng": 0,
"lat": 0
},
"timestamp": "string",
"speed": 0,
"altitude": 0,
"course": 0,
"sendReason": 0,
"accuracy": 0,
"locationType": "string",
"averageCharge": 0,
"created": "string",
"address": "string",
"alertType": "string",
"gsmSignal": 0,
"correlationId": "string",
"id": 0,
"deviceId": 0
}
],
"config": {
},
"subscription": {
}
}
]

Playground​

Authorization
Variables
Key
Value

Samples​

cURL
JavaScript
PHP
Python